dbXML API

## com.dbxml.db.core.transaction
Class TransactionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.dbxml.util.dbXMLException
                  com.dbxml.db.core.DBException
                      com.dbxml.db.core.transaction.TransactionException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  TransactionNotActiveException, TransactionsNotSupportedException

public class TransactionException
extends DBException

A TransactionException is thrown by a TransactionLog if an exception occurs in the managing of the Transaction Log.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.dbxml.util.dbXMLException
`faultCode`

Constructor Summary
`TransactionException(int faultCode)`
`TransactionException(int faultCode, java.lang.String message)`
`TransactionException(int faultCode, java.lang.String message, java.lang.Throwable wrapped)`
`TransactionException(int faultCode, java.lang.Throwable wrapped)`

Methods inherited from class com.dbxml.util.dbXMLException
`getFaultCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransactionException

    public TransactionException(int faultCode)

### TransactionException

    public TransactionException(int faultCode,
                                java.lang.Throwable wrapped)

### TransactionException

    public TransactionException(int faultCode,
                                java.lang.String message)

### TransactionException

    public TransactionException(int faultCode,
                                java.lang.String message,
                                java.lang.Throwable wrapped)

dbXML API

Copyright (c) 2004 The dbXML Group